Package com.independentsoft.office.spreadsheet

# Enum Class DataValidationOperator

java.lang.Object
java.lang.Enum<DataValidationOperator>
com.independentsoft.office.spreadsheet.DataValidationOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<DataValidationOperator>`, `Constable`

public enum DataValidationOperator extends Enum<DataValidationOperator>
The Enum DataValidationOperator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BETWEEN`
  `EQUAL`
  `GREATER_THAN`
  `GREATER_THAN_OR_EQUAL`
  `LESS_THAN`
  `LESS_THAN_OR_EQUAL`
  `NONE`
  `NOT_BETWEEN`
  `NOT_EQUAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataValidationOperator`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataValidationOperator[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BETWEEN

    public static final DataValidationOperator BETWEEN

  - ### EQUAL

    public static final DataValidationOperator EQUAL

  - ### GREATER_THAN

    public static final DataValidationOperator GREATER_THAN

  - ### GREATER_THAN_OR_EQUAL

    public static final DataValidationOperator GREATER_THAN_OR_EQUAL

  - ### LESS_THAN

    public static final DataValidationOperator LESS_THAN

  - ### LESS_THAN_OR_EQUAL

    public static final DataValidationOperator LESS_THAN_OR_EQUAL

  - ### NOT_BETWEEN

    public static final DataValidationOperator NOT_BETWEEN

  - ### NOT_EQUAL

    public static final DataValidationOperator NOT_EQUAL

  - ### NONE

    public static final DataValidationOperator NONE

- ## Method Details

  - ### values

    public static DataValidationOperator[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataValidationOperator valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null